<style type="text/css">
<!--
div.explain { padding-left: 40px; }
-->
</style>

<form method="post" action="options.php">
<?php wp_nonce_field("update-options"); ?>


<div class="wrap">
<h2>カテゴリ指定投稿用カテゴリごとにテンプレートを設定</h2>
<h3>このテンプレートを出力するには、カテゴリ指定投稿(post-with-categoryプラグイン)が必要です。</h3>

<?php

//一つずつに対してtextareaを準備
//カテゴリを親ID=0から再帰構造で辿ってHTMLコードを作成していく
function CategoryTree( $parent_ID, $step, &$buf, &$page_options )
{
	global $wpdb;
	$sql = "SELECT T.*,P.* FROM $wpdb->terms T,$wpdb->term_taxonomy P WHERE T.term_id=P.term_id AND P.taxonomy='category' AND P.parent=$parent_ID;";
	$rst = $wpdb->get_results($sql,'ARRAY_A');
	foreach( $rst as $key => $obj )
	{
				//面倒なので特定の名前の変数に格納
		$cat_ID = $obj["term_id"];
		$category_name = $obj["name"];

				//WordPressに記録するためのname値を作成
		$option_name = "forwebya_post_with_category_cat_ID".$cat_ID;
		$page_options .= $option_name.",";

		$space = "";
		for( $i=0; $i<$step; $i++ ){ $space .= "　　"; }
		$buf .= $space.$category_name."<br />$space<textarea name='".$option_name."' cols='70' rows='3'>".get_option($option_name)."</textarea><br />";

		CategoryTree( $cat_ID, $step+1, $buf, $page_options );

		if( $step == 0 ){ $buf .= "<hr />"; }
	}
}

CategoryTree( 0, 0, $buf, $page_options );
echo $buf;

?>

<br />

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="<?php echo $page_options; ?>" />

<p class="submit">
<input type="submit" class="button-primary" value="<?php _e("Save Changes") ?>" />
</p>
</form>
</div>

